
QGIS Application - Bug report #3261

Rendering bug

2010-11-28 05:38 PM - Chris Crook

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13321

Description

I've encountered a bug when viewing a line string layer which causes a  large portion of the map canvas to be covered with the line colour

when zoomed to a specific view.  The data appears normallty when zooming in or out, or otherwise changing the canvas/view

relationship.

I've attached a png screenshot and a zip file containing the QGIS project and spatialite database.  Because the bug depends on the

canvas size you may not be able to replicate immediately from this dataset.  You should be able to infer the map canvas size from the

screen shot.

This could be related to ticket 2915, which demonstrates a glitch plotting polygons.

History

#1 - 2011-04-16 06:25 AM - Anne Ghisla

Can you give the spatial extent of the view, e.g. saving it as spatial bookmark?

Is it happening also on other platforms? As now, I can't reproduce it with QGIS commit:f8e10a33 (SVN r15725) on Fedora, but I'd wait for more info on the

canvas extent.

#2 - 2011-04-16 06:37 AM - Maxim Dubinin

can't reproduce it as well on winXP commit:f42443c9 (SVN r15701)

#3 - 2011-04-16 12:18 PM - Chris Crook

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:2 gislab]:

can't reproduce it as well on winXP commit:f42443c9 (SVN r15701)

 I can no longer reproduce the bug either (on 1.7.0).  I'm guessing some other patches along the way have fixed it.  I've reset the status to fixed.

Thanks for looking at it.

Files
render_bug.png 86.2 KB 2010-11-28 Chris Crook

render_bug.zip 9.39 KB 2010-11-28 Chris Crook
